import Request from '../common/request.js';
let request = new Request().http
 

 export function login(data) {
 	 return request('/app/app/login',data,'POST','application/json;charset=UTF-8');
 }
 
 export function loginByWeChat(data) {
 	 return request('/app/app/loginByWeChat',data,'POST','application/json;charset=UTF-8');
 }
 
 export function loginByMp(data) {
 	 return request('/app/wx/mp/loginByMp',data,'POST','application/json;charset=UTF-8');
 }
 
 export function setPhone(data) {
 	 return request('/app/app/setPhone',data,'POST','application/json;charset=UTF-8');
 }
 
 
 export function register(data) {
 	 return request('/app/app/register',data,'POST','application/json;charset=UTF-8');
 }
 
 export function getUserInfo() {
 	 return request('/app/user/getUserInfo',null,'GET');
 }
 
 export function checkLogin() {
 	 return request('/app/app/checkLogin',null,'GET');
 }
 export function getAllUsers(data) {
 	 return request('/app/app/getAllUsers',data,'GET');
 }
 export function getUserInfoByUserId(data) {
 	 return request('/app/app/getUserInfoByUserId',data,'GET');
 }
 
 export function setPwd(data) {
 	 return request('/app/app/setPwd',data,'POST','application/json;charset=UTF-8');
 }
 
 export function setHeadImg(data) {
 	 return request('/app/app/setHeadImg',data,'POST','application/json;charset=UTF-8');
 }
 
 export function setUserInfo(data) {
 	 return request('/app/user/editUser',data,'POST','application/json;charset=UTF-8');
 }
 
 
 export function editQrCode(data) {
 	 return request('/app/app/editQrCode',data,'POST','application/json;charset=UTF-8');
 }
 
 
 export function getAlipayQrImg() {
 	 return request('/app/storePayment/getAlipayQrImg',null,'GET');
 }
 
 
 export function getMyCardList(data) {
 	 return request('/app/app/getMyCardList',data,'GET');
 }
 
 export function delMyCard(cId) {
 	 return request('/app/app/delMyCard?cardId='+cId,null,'POST');
 }
 
 export function getAppletScheme(cId) {
 	 return request('/app/app/getAppletScheme?cardId='+cId,null,'GET');
 }
 
 export function getShortUrl(url,title) {
 	 return request('/app/app/getShortUrl?url='+url+'&title='+title,null,'GET');
 }
 
 
 export function getMyCouponList(data) {
 	 return request('/app/user/getMyCouponList',data,'GET');
 }
 
 export function getMyEnableCouponList(data) {
 	 return request('/app/user/getMyEnableCouponList',data,'GET');
 }
 export function registerDoctor(data) {
 	return request('/app/user/registerDoctor',data,'POST','application/json;charset=UTF-8');
 }
 
 export function getMyCouponCount() {
 	 return request('/app/user/getMyCouponCount',null,'GET');
 }
 
 
 
 
 
 

 

 
 
 
 
  
  
 
 
 
 

 
 
 
 
 